> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all balances

> Retrieves the balance of funds that are available for use.



## OpenAPI

````yaml openapi/account.yaml get /v1/businessAccount/balances
openapi: 3.0.2
info:
  version: ${version}
  title: Core Functionality
  description: >
    All of Circle's APIs share a common set of core functionality that lets you
    manage your Circle Account in a programmatic way.


    With a Circle Account your business can deposit traditional money from 80+
    countries and seamlessly convert them into "digital currency dollars": USDC.
    You can then use USDC for everyday payments and treasury flows.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Balances
    description: Get information on settled and unsettled balances.
  - name: Payouts
    description: Create and get information on 1st party payouts.
  - name: Wires
    description: >-
      Create, get instructions, and get information on 1st party bank accounts
      for wire transfers.
  - name: CUBIX
    description: Create and get information on CUBIX accounts.
  - name: PIX
    description: Create and get information on PIX accounts.
  - name: Transfers
    description: Create and get information on 1st party transfers.
  - name: Addresses
    description: Generate and get information on blockchain addresses.
  - name: Deposits
    description: Get information on 1st party deposits.
  - name: Payments
    description: Create, cancel, refund, and get updates on card payments.
  - name: Settlement Bank Routing
    description: View and manage settlement bank routing preferences for fiat accounts.
  - name: Reporting
    description: >-
      Retrieve transaction and balance reports, including ISO 20022 (CAMT.053)
      statements and managed-payment reports.
paths:
  /v1/businessAccount/balances:
    get:
      tags:
        - Balances
      summary: List all balances
      description: Retrieves the balance of funds that are available for use.
      operationId: listBusinessBalances
      parameters:
        - name: walletId
          description: >
            The wallet ID of the wallet for which to retrieve the balances. If
            not provided, the default is the main wallet of the account.


            You can get wallet IDs associated with your account using the [Core
            API for
            Institutions](/api-reference/circle-mint/institutional/get-all-external-entities).
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved balances.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                title: ListBusinessBalancesResponse
                properties:
                  data:
                    $ref: '#/components/schemas/Balances'
              examples:
                response:
                  value:
                    data:
                      available:
                        - amount: '3.14'
                          currency: USD
                      unsettled:
                        - amount: '3.14'
                          currency: USD
        '401':
          $ref: '#/components/responses/NotAuthorized'
      security:
        - bearerAuth: []
components:
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    Balances:
      type: object
      description: Available and unsettled balances of the merchant.
      required:
        - available
        - unsettled
      properties:
        available:
          type: array
          description: >-
            List of currency balances (one for each currency) that are currently
            available to spend.
          items:
            $ref: '#/components/schemas/Money'
        unsettled:
          type: array
          description: >-
            List of currency balances (one for each currency) that have been
            captured but are currently in the process of settling and will
            become available to spend at some point in the future.
          items:
            $ref: '#/components/schemas/Money'
    Money:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          type: string
          description: Magnitude of the amount, in units of the currency, with a `.`.
          example: '3.14'
        currency:
          type: string
          description: Currency code for the amount.
          enum:
            - USD
            - EUR
            - BTC
            - ETH
            - CIRBTC
  responses:
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorized
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 401
              message: Malformed authorization.
          examples:
            response:
              value:
                code: 401
                message: Malformed authorization.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````